# Interface PoiExtractor

interface PoiExtractor {
dist: ((arg0: unknown) => number);
id: ((arg0: unknown) => string);
sort: ((arg0: unknown) => number);
title: ((arg0: unknown) => string);
z: ((arg0: unknown, arg1: number) => number);
}

- Defined in src/profile/elevationComponent.js:33

#####
Index

### Properties

dist
id
sort
title
z

##
Properties

### dist

dist: ((arg0: unknown) => number)

Extract the distance from origin of a POI.

- Defined in src/profile/elevationComponent.js:35

### id

id: ((arg0: unknown) => string)

Extract the id of a POI.

- Defined in src/profile/elevationComponent.js:34

### sort

sort: ((arg0: unknown) => number)

Extract the sequence number of a POI.

- Defined in src/profile/elevationComponent.js:37

### title

title: ((arg0: unknown) => string)

Extract the title of a POI.

- Defined in src/profile/elevationComponent.js:38

### z

z: ((arg0: unknown, arg1: number) => number)

Extract the elevation of a POI.

- Defined in src/profile/elevationComponent.js:36